function init(hero) {

    hero.setName("Wolverine");

    hero.setVersion("Fox");

    hero.setTier(4);

    

    hero.setHelmet("Cowl");

    hero.setChestplate("Chestplate");

    hero.setLeggings("Leggings");

    hero.setBoots("Boots");


    

    hero.addAbilities("fiskheroes:healing_factor", "fiskheroes:superhuman_durability",  "fiskheroes:leaping", "fiskheroes:retractable_shield", "fiskheroes:cellular_regeneration");

    hero.addAttribute("FALL_RESISTANCE", 10.0, 0);

    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);

    hero.addAttribute("STEP_HEIGHT", 1, 0);

    hero.addAttribute("ATTACK_DAMAGE", 0.6, 1);

    hero.addAttribute("PUNCH_DAMAGE", 6.0, 0);

    hero.addAttribute("SPRINT_SPEED", 0.8, 1);

    

    hero.addKeyBind("SHIELD", "Retract Claws", 1);

    

    hero.addAttributeProfile("SHIELD", shieldProfile);

    hero.setAttributeProfile(getAttributeProfile);

}



function shieldProfile(profile) {

    profile.addAttribute("ATTACK_DAMAGE", 1.2, 1);

    profile.addAttribute("PUNCH_DAMAGE", 14.5, 0);

}



function getAttributeProfile(entity) {

    return entity.getData("fiskheroes:shield") ? "SHIELD" : null;

}


